package demo.hw.client;

import demo.hw.server.HelloWorld;
import demo.hw.server.User;
import demo.hw.server.UserImpl;
import org.apache.cxf.jaxws.JaxWsProxyFactoryBean;

public final class Client {

  private Client() {
  }

  public static void main(String args[]) throws Exception {
    JaxWsProxyFactoryBean factory = new JaxWsProxyFactoryBean();
    factory.setAddress("http://localhost:9000/helloWorld");
    HelloWorld client = factory.create(HelloWorld.class);
    User user = new UserImpl("World");
    System.out.println(client.sayHiToUser(user));
    for (User u : client.getUsers()) {
      System.out.println(u.getName());
    }
  }

}
