// START SNIPPET: service
package demo.hw.server;

import java.util.HashSet;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;

import javax.jws.WebService;

@WebService(endpointInterface = "demo.hw.server.HelloWorld",
            serviceName = "HelloWorld")
public class HelloWorldImpl implements HelloWorld {
    Set<User> users = new HashSet<User>();


    public String sayHiToUser(User user) {
        System.out.println("sayHiToUser called");
        users.add(user);
        return "Hello "  + user.getName();
    }

    public Set<User> getUsers() {
        System.out.println("getUsers called");
        return users;
    }

}
// END SNIPPET: service
